/**
 * JS Document.
 * @author Sandro Jordão.
 */
 
function gravar()
{
	$.post(basepath + 'principal/verificarLogado', 
		function(logado) {
			if(logado == 0)
			{
				// 
				var nome 		= $("#txtNome").val();
				var mnemonico 	= $("#txtMnemonico").val();
				var logo 		= $("#imgLogo").val();
				var situacao 	= $('input[name=rdoAtivo]:radio:checked').val();

				$('.msgErro').remove();
				var erro = 0;

				if(nome == '')
				{
					$('#txtNome').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
					erro++;
				}

				if(mnemonico == '')
				{
					$('#txtMnemonico').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
					erro++;
				}

				if (erro == 0)
				{
					$.post(basepath + "cadastros/gravaEmpresa", {
						nome : nome,
						mnemonico : mnemonico,
						logo : logo,
						situacao : situacao
					}, function(data){
						if(data == 1)
						{
							jAlert('Gravado com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'cadastros/empresas'; });
						}
						else if(data == 2)
						{
							$('#txtMnemonico').after("<span class='msgErro'>Mnemônico já cadastrado!</span>");
							return false;
						}
						else 
						{
							alert('Ocorreu um erro:\n ' + data);
						}
					});
				}
				else
				{
					jAlert('Favor preencher todos os campos corretamente.', 'Alerta!');
				}
				//
 			}
 			else
 			{
 				window.location.href = basepath + 'principal/' + logado;
 			}
 		});
}

function alterarBD()
{
 	$.post(basepath + 'principal/verificarLogado', 
 		function(logado) {
 			if(logado == 0)
 			{
				//
				var empresa      = $("#txtEmpresaID").val();
				var imagemAntiga = $("#txtImagemAntiga").val();
				var nome 		 = $("#txtNome").val();
				var mnemonico 	 = $("#txtMnemonico").val();
				var logo 		 = $("#imgLogo").val();
				var situacao 	 = $('input[name=rdoAtivo]:radio:checked').val();

				$('.msgErro').remove();
				var erro = 0;

				if(nome == '')
				{
					$('#txtNome').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
					erro++;
				}

				if (erro == 0)
				{
					$.post(basepath + "cadastros/alterarEmpresaBD", {
						empresa : empresa,
						imagemAntiga : imagemAntiga,
						nome : nome,
						mnemonico : mnemonico,
						logo : logo,
						situacao : situacao
					}, function(data){
						if(data == 1)
						{
							jAlert('Empresa alterada com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'cadastros/empresas'; });
						}
						else 
						{
							jAlert('Ocorreu um erro:\n ' + data, 'Alerta!');
						}
					});
				}
				else
				{
					jAlert('Favor preencher todos os campos corretamente.', 'Alerta!');
				}
				//
			}
			else
			{
				window.location.href = basepath + 'principal/' + logado;
			}
		});
}

function alterar()
{
	var empresa = $('#gridEmpresas').jqGrid('getGridParam','selrow');

    if(empresa) {
		window.location.href = basepath + 'cadastros/alterarEmpresa/' + empresa;
	} else {
		jAlert('Selecionar uma empresa para alteração!', 'Alerta!', function() { return false; });
	}
}

function excluir()
{
	var empresa = $('#gridEmpresas').jqGrid('getGridParam','selrow');
	
    if(empresa)
	{
		$.post(basepath + 'principal/verificarLogado', 
			function(logado) {
				if(logado == 0)
				{
					//
					jConfirm("Deseja realmente excluir a empresa?", 'Confirmação!',
						function(r) {
							if (r == true)
							{
								$.post(basepath + "cadastros/excluirEmpresa", {
									empresa  : empresa
								}, function(data){
									if(data == 1)
									{
										$("#gridEmpresas").trigger("reloadGrid");
										
										jAlert('Empresa excluída com sucesso!', 'Alerta!');
									}
									else jAlert('Ocorreu um erro:\n ' + data, 'Alerta de erro!');
								});
							}
							else
							{
								return false;
							}
						});
						//
		 		} 
		 		else
		 		{
		 			window.location.href = basepath + 'principal/' + logado;
		 		}
			});
	}
    else
	{
		jAlert('Selecionar uma empresa para exclusão!', 'Alerta!', function() { return false; });
	}
}

function incluir()
{
	window.location.href = basepath + 'cadastros/cadempresas';
}

function voltar()
{
	window.location.href = basepath + 'cadastros/empresas';
}

function uploadImagens()
{
	$('#uploadImagens').upload({
		name: 'file',
		method: 'post',
		enctype: 'multipart/form-data',
		action: basepath + 'cadastros/uploadlogo',
		onSubmit: function(){ 
			$("#progressImagens").html(""); 
			$("#progressImagens").append('<img src="'+ basepath +'www/imagem/loadingModal.gif" width="18px" height="18px" border="0" align="absmiddle" /> &nbsp;Carregando imagem, aguarde...'); },
		onComplete: function(data){
			data = eval('(' + data + ')');
			
			$("#progressImagens").html("");
			$('#progressImagens').text(data.msg);
			
			$('#imgLogo').val(data.file);
		}
	});
}

function init()
{
	if(window.location.pathname != basepath + 'cadastros/empresas')
	{
		uploadImagens();
	}

	var pathUsuario = basepath + "cadastros/empresas";
	$('#menuContentLeft a').each(function() {
		if(pathUsuario == $(this).attr("href")) {
			$(this).css({'color' : '#4084b8', 'font-weight' : 'bold', 'font-style' : 'italic'});
		}
	});
}

$(document).ready(init);